HWCLOCK(8)

NAME
hwclock - query or set the hardware clock

SYNOPSIS
hwclock [-r | -s | -w] [-u] [dev]

DESCRIPTION
hwclock is a tool for accessing the hardware clock. You can display the current time, set the hardware clock from the System Time, or set the System Time from the hardware clock. It currently only works with UTC. You can use dev to specify the RTC device node absolute path. By default it will use /dev/rtc.

OPTIONS

-r  Read the hardware clock and print the time on stdout.

-s  Set the system time from the hardware clock.

-u  Use UTC. This is the default option.

-w  Set the hardware clock to the system time.